# Coding Dojo Dotnet App

This repo contains a demo app for deployment.

## Building this project

### Development

`dotnet build`

### Production

`dotnet publish`

## Run

### Development

`dotnet run`

### Production

`./bin/{CONFIG}/net7.0/dotnet-hello-world # Self contained`

`dotnet ./bin/{CONFIG}/net7.0/dotnet-hello-world.dll # Not self contained`

## Config

### Environment Variables

- DOTNET_APPLICATION_NAME
- DOTNET_ConnectionStrings__RedisConnectionString for Redis IP

### Saved files

- /var/lib/hello/
